[Résolu] Kleopatra cassé

Ответить
LeFouFurieux
Сообщения: 33
Зарегистрирован: 14 янв 2014, 20:57
Operating system: 1 PC Rosa desktop Fresh
2 PC Rosa desktop Fresh
portable Rosa desktop Fresh

[Résolu] Kleopatra cassé

Сообщение LeFouFurieux » 23 авг 2017, 01:07

Bonjour,
Depuis le début sur la R9 plasma, Kleopatra fonctionne à moitié. Je m'explique.

Déchiffrer un fichier par clique droit.
- soit j ai directement mauvaise passphrase
Screenshot_20170822_221702.png
bad passhrase without askpass
- soit j ai ioctl inapproprié pour un périphérique
- en lançant l interface de kleopatra via console ça fonctionne car il me demande la passphrase dans le terminal (pinentry-qt5 ? peut être, aucune idée)
Screenshot_20170822_220630.png
kleoptra from terminal
Créer un certificat
- soit j ai ioctl inapproprié pour un périphérique.
- soit la création s'arrête a l'étape a la génération d'un nombre aléatoire.
kleopatra.png
random

Gpg en ligne de commande aucun problème. Puis je me suis dit ça doit fonctionner sous KDE4 avec Rosa R9. Une petite installation via virtualbox, plus update. Et je retrouve le même souci.
Par contre sur la R9 kde4 kgpg fonctionne très bien.
Je tente deux autres distrib via virtualbox KdeNeon et Calculate Linux. Kleopatra fonctionne.
Calculate linux plasma 5.10.4 - kde framework5.37.0 - qt5.7.1 - keopatra 2.3.0
$ equery g kleopatra-4.4.2017.04
* Searching for kleopatra4.4.2017.04 ...

* dependency graph for kde-apps/kleopatra-4.4.2017.04
`-- kde-apps/kleopatra-4.4.2017.04 ~amd64
`-- kde-apps/kdepimlibs-4.14.11_pre20160611 (>=kde-apps/kdepimlibs-4.14.10_p20160611) amd64 [aqua=]
`-- kde-apps/libkdepim-4.4.2017.04 (>=kde-apps/libkdepim-4.4.2017.04) ~amd64 [aqua=]
`-- kde-apps/libkleo-4.4.2017.04 (>=kde-apps/libkleo-4.4.2017.04) ~amd64 [aqua=]
`-- app-crypt/gpgme-1.8.0-r3 (app-crypt/gpgme) amd64
`-- dev-libs/libassuan-2.4.3-r1 (dev-libs/libassuan) amd64
`-- dev-libs/libgpg-error-1.27-r1 (dev-libs/libgpg-error) amd64
`-- sys-apps/sed-4.2.2 (>=sys-apps/sed-4) amd64
`-- sys-devel/make-4.2.1 (sys-devel/make) amd64
`-- dev-util/cmake-3.7.2 (>=dev-util/cmake-3.7.2) amd64
`-- dev-util/automoc-0.9.88-r1 (dev-util/automoc) amd64
`-- virtual/pkgconfig-0-r1 (virtual/pkgconfig) amd64
`-- x11-libs/libXtst-1.2.3 (>=x11-libs/libXtst-1.1.0) amd64
`-- x11-proto/xf86vidmodeproto-2.3.1-r1 (x11-proto/xf86vidmodeproto) amd64
`-- app-text/docbook-xml-dtd-4.2-r2 (app-text/docbook-xml-dtd) amd64
`-- app-text/docbook-xsl-stylesheets-1.79.1-r1 (app-text/docbook-xsl-stylesheets) amd64
`-- dev-lang/perl-5.24.1-r2 (dev-lang/perl) amd64
`-- dev-qt/qt3support-4.8.7 (>=dev-qt/qt3support-4.8.5) amd64 [accessibility]
`-- dev-qt/qtcore-4.8.7-r2 (>=dev-qt/qtcore-4.8.5) amd64 [qt3support ssl]
`-- dev-qt/qtdbus-4.8.7 (>=dev-qt/qtdbus-4.8.5) amd64
`-- dev-qt/designer-4.8.7 (>=dev-qt/designer-4.8.5) amd64
`-- dev-qt/qtgui-4.8.7 (>=dev-qt/qtgui-4.8.5) amd64 [accessibility dbus(+)]
`-- dev-qt/qtscript-4.8.7 (>=dev-qt/qtscript-4.8.5) amd64
`-- dev-qt/qtsql-4.8.7-r1 (>=dev-qt/qtsql-4.8.5) amd64 [qt3support]
`-- dev-qt/qtsvg-4.8.7 (>=dev-qt/qtsvg-4.8.5) amd64
`-- dev-qt/qttest-4.8.7 (>=dev-qt/qttest-4.8.5) amd64
`-- kde-frameworks/kdelibs-4.14.32 (>=kde-frameworks/kdelibs-4.14.22) amd64
`-- app-crypt/gnupg-2.1.20-r1 (app-crypt/gnupg) amd64
`-- kde-frameworks/oxygen-icons-5.37.0 (kde-frameworks/oxygen-icons) amd64
[ kde-apps/kleopatra-4.4.2017.04 stats: packages (29), max depth (1) ]
KDENeon plasma 5.10.4 - kde framework5.37.0 - qt5.9.1 - keopatra 2.3.0
apt-cache depends kleopatra
kleopatra
Dépend: dirmngr
Dépend: gnupg-agent
gnupg-agent:i386
Dépend: gnupg2
gnupg2:i386
Dépend: gpgsm
gpgsm:i386
Dépend: paperkey
Dépend: pinentry-qt
Dépend: libassuan0
Dépend: libc6
Dépend: libgcc1
Dépend: libgpg-error0
Dépend: libgpgmepp6
Dépend: libkf5codecs5
Dépend: libkf5configcore5
Dépend: libkf5configgui5
Dépend: libkf5configwidgets5
Dépend: libkf5coreaddons5
Dépend: libkf5dbusaddons5
Dépend: libkf5i18n5
Dépend: libkf5iconthemes5
Dépend: libkf5itemmodels5
Dépend: libkf5kcmutils5
Dépend: libkf5libkleo5
Dépend: libkf5mime5
Dépend: libkf5notifications5
Dépend: libkf5textwidgets5
Dépend: libkf5widgetsaddons5
Dépend: libkf5windowsystem5
Dépend: libkf5xmlgui5
Dépend: libqgpgme7
Dépend: libqt5core5a
Dépend: libqt5dbus5
Dépend: libqt5gui5
Dépend: libqt5network5
Dépend: libqt5printsupport5
Dépend: libqt5widgets5
Dépend: libstdc++6
Il doit manquer des paquets, des lib. Ou c'est un vilain bug.
Последний раз редактировалось LeFouFurieux 31 авг 2017, 04:19, всего редактировалось 1 раз.

LeFouFurieux
Сообщения: 33
Зарегистрирован: 14 янв 2014, 20:57
Operating system: 1 PC Rosa desktop Fresh
2 PC Rosa desktop Fresh
portable Rosa desktop Fresh

Re: Kleopatra cassé

Сообщение LeFouFurieux » 31 авг 2017, 04:18

J'ai résolu mon problème. J'ai désinstallé pinentry-0.9.7-3-rosa2016.1.x86_64. J'ai récupéré deux autres rpm pour OpenMandriva:
pinentry-0.9.7-4-omv2015.0.x86_64.rpm
pinentry-qt5-0.9.7-4-omv2015.0.x86_64.rpm

Ответить